import { Pipe, NgModule } from '@angular/core';

class SvSearchHighlightPipe {
    transform(value, search) {
        if (!value) {
            return;
        }
        const re = new RegExp(search, 'gi');
        const match = value.match(re);
        return search ? value.replace(re, `<mark>${match && match[0]}</mark>`) : value;
    }
}
SvSearchHighlightPipe.decorators = [
    { type: Pipe, args: [{
                name: 'svSearchHighlight'
            },] }
];

class SvSearchHighlightModule {
}
SvSearchHighlightModule.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    SvSearchHighlightPipe
                ],
                imports: [],
                exports: [
                    SvSearchHighlightPipe
                ]
            },] }
];

/*
 * Public API Surface of sv-search-highlight
 */

/**
 * Generated bundle index. Do not edit.
 */

export { SvSearchHighlightModule, SvSearchHighlightPipe };
//# sourceMappingURL=sv-search-highlight.js.map
